> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bliper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar Lista de Botões

> Envia uma mensagem com lista de opções clicáveis

## Descrição

Envia uma mensagem interativa com uma lista de opções organizadas em seções. O destinatário clica em um botão para abrir a lista e selecionar uma opção. Ideal para menus com muitas opções.

## Request

### Headers

```
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
```

### Body

```json theme={null}
{
  "phone": "5511999999999",
  "message": "Selecione uma opção:",
  "buttonList": {
    "button": "Ver opções",
    "sections": [
      {
        "title": "Planos",
        "rows": [
          {
            "title": "Básico",
            "description": "Até 1.000 msg/mês",
            "id": "plan_basic"
          },
          {
            "title": "Pro",
            "description": "Até 10.000 msg/mês",
            "id": "plan_pro"
          }
        ]
      }
    ]
  }
}
```

| Campo                 | Tipo   | Obrigatório | Descrição                                        |
| --------------------- | ------ | ----------- | ------------------------------------------------ |
| `phone`               | string | Sim         | Número do destinatário no formato DDI+DDD+número |
| `message`             | string | Sim         | Texto principal da mensagem                      |
| `buttonList`          | object | Sim         | Objeto contendo a configuração da lista          |
| `buttonList.button`   | string | Sim         | Texto do botão que abre a lista                  |
| `buttonList.sections` | array  | Sim         | Array de seções com `title` e `rows`             |

### Estrutura de cada item em `rows`

| Campo         | Tipo   | Descrição                                             |
| ------------- | ------ | ----------------------------------------------------- |
| `title`       | string | Título da opção                                       |
| `description` | string | Descrição da opção                                    |
| `id`          | string | Identificador da opção (retornado quando selecionada) |

## Response

### Sucesso (202)

```json theme={null}
{
  "messageId": "3EB0C767D02DCC481523",
  "id": "3EB0C767D02DCC481523"
}
```

## Exemplo cURL

```bash theme={null}
curl -X POST 'https://api.bliper.io/instances/{INSTANCE_ID}/token/{INSTANCE_TOKEN}/send-button-list' \
  -H 'Client-Token: SEU_CLIENT_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "phone": "5511999999999",
    "message": "Selecione uma opção:",
    "buttonList": {
      "button": "Ver opções",
      "sections": [
        {
          "title": "Planos",
          "rows": [
            {"title": "Básico", "description": "Até 1.000 msg/mês", "id": "plan_basic"},
            {"title": "Pro", "description": "Até 10.000 msg/mês", "id": "plan_pro"}
          ]
        }
      ]
    }
  }'
```

<Tip>Use múltiplas seções para organizar as opções em categorias. Cada seção pode ter seu próprio título e lista de opções.</Tip>
